#
# spec file for package rubygem-dry-logic
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-dry-logic
Version:        1.5.0
Release:        1.7
%define mod_name dry-logic
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{ruby >= 2.7.0}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
URL:            https://dry-rb.org/gems/dry-logic
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Predicate logic with rule composition
License:        MIT
Group:          Development/Languages/Ruby

%description
Predicate logic with rule composition.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGELOG.md LICENSE README.md" \
  -f

%gem_packages

%changelog
* Wed Dec  7 2022 Stephan Kulow <coolo@suse.com>
  updated to version 1.5.0
  see installed CHANGELOG.md
* Fri Oct 28 2022 Stephan Kulow <coolo@suse.com>
  updated to version 1.3.0
  see installed CHANGELOG.md
  [#]# unreleased
  [#]## Added
  - `uri_rfc3986?` predicate that uses a better regexp than `uri?` (see #94 for more details) (@hieuk09)
  [#]## Changed
  - Deprecate `eql?` in favor of `is_eql?` (issue #92 via #98) (@solnic)
  - Deprecate `respond_to?` in favor of `interface?` (issue #73 closed via #99) (@solnic)
  [Compare v1.3.0...master](https://github.com/dry-rb/dry-logic/compare/v1.3.0...master)
  [#]# 1.3.0 2022-10-15
  [#]## Changed
  - Use zeitwerk for auto-loading (@solnic + @flash-gordon)
  [Compare v1.2.0...v1.3.0](https://github.com/dry-rb/dry-logic/compare/v1.2.0...v1.3.0)
* Thu Jun 24 2021 Stephan Kulow <coolo@suse.com>
  updated to version 1.2.0
  see installed CHANGELOG.md
  [#]# 1.2.0 2021-04-26
  [#]## Added
  - Add predicate and operation builder DSL (@oleander)
  [Compare v1.1.1...v1.2.0](https://github.com/dry-rb/dry-logic/compare/v1.1.1...v1.2.0)
  [#]# 1.1.1 2021-04-14
  [#]## Fixed
  - Fixed a crash under jruby caused by arg splatting in Binary operations (@flash-gordon)
  [Compare v1.1.0...v1.1.1](https://github.com/dry-rb/dry-logic/compare/v1.1.0...v1.1.1)
* Wed Jan 20 2021 Stephan Kulow <coolo@suse.com>
  updated to version 1.1.0
  see installed CHANGELOG.md
  <!--- DO NOT EDIT THIS FILE - IT'S AUTOMATICALLY GENERATED VIA DEVTOOLS --->
  [#]# 1.1.0 2020-12-26
  [#]## Changed
  - Switched to equalizer from dry-core (@solnic)
  [Compare v1.0.8...v1.1.0](https://github.com/dry-rb/dry-logic/compare/v1.0.8...v1.1.0)
  [#]# 1.0.8 2020-09-28
  [#]## Fixed
  - Better Ruby 3 support with fixed specialization for rules of negative arity (@flash-gordon)
  [Compare v1.0.7...v1.0.8](https://github.com/dry-rb/dry-logic/compare/v1.0.7...v1.0.8)
* Fri Sep 25 2020 Stephan Kulow <coolo@suse.com>
  updated to version 1.0.7
  see installed CHANGELOG.md
  [#]# 1.0.7 2020-08-13
  [#]## Added
  - A new `uri?` predicate that you can use to verify `URI` strings, ie `uri?("https", "https://dry-rb.org")` (@nerburish)
  - New predicates: `uuid_v1?`, `uuid_v2?`, `uuid_v3?` and `uuid_v5?` (via #75) (@jamesbrauman)
  [Compare v1.0.6...v1.0.7](https://github.com/dry-rb/dry-logic/compare/v1.0.6...v1.0.7)
* Wed Jul  1 2020 Stephan Kulow <coolo@suse.com>
- initial package (version 1.0.6)
